Skip to content

ProspectMultipleScenarioAnalysisAggregation

Prospect multiple scenario analysis aggregation management.

Get prospect multiple scenario analysis set-up and results by ID

Request

Gets prospect multiple scenario analysis set-up, volume and risk results, scenario outcome tree and associated polygon by prospect multiple scenario analysis ID.

Security
bearer and appkey
Path
idinteger, (int32)required

Prospect multiple scenario analysis ID

Headers
slb-contract-idstring^[a-zA-Z0-9_-]+$required

Delfi Contract ID

Example:My-contract-ID
curl -i -X GET \
  'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectmultiplescenarioanalysisaggregation/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-contract-id: My-contract-ID'

Responses

OK

Body
idinteger, (int32)

The ID of the analysis aggregation.

namestring

The name of the analysis aggregation.

modifiedDatestring, (date-time)

The date the analysis aggregation was last modified.

modifiedUserNamestring

The user name of the person who last modified the analysis aggregation.

modifiedRealNamestring

The real name of the user who most recently modified the analysis aggregation.

createdDatestring, (date-time)

The date the analysis aggregation was created.

createdUserNamestring

The user name of the person creating the analysis aggregation.

createdRealNamestring

The real name of the user who created the analysis aggregation.

prospectIdinteger, (int32)

The prospect folder ID.

prospectNamestring

The prospect name.

versionstring

The version of the prospect multiple scenario analysis aggregation. Allowed values are A (approved), H (historical), W (working) and T (test).

summarystring

The summary of the prospect multiple scenario analysis aggregation.

A data transfer object (DTO) representing prospect analysis aggregation.

propertiesobject

The properties of the prospect multiple scenario aggregation.

scenarioSetupsArray of objects(ScenarioSetupDto)

The analysis scenario setups used in this prospect multiple scenario aggregation.

overallUnconditionalProspectnumber, (double)

The sum of the scenario's multiplication of ProbabilityRecoverableSuccess and MeanRecoverableSuccess.

nonSuccessProbabilitynumber, (double)

The value of Non Success Probability.

crsIdinteger or null, (int32)

Coordinate reference system ID (EPSG number, like: 4326).

innerRingsArray of strings

The list of holes (optional)

outerRingstring

The outer ring of the polygon. If there is a polygon data, this has to be filled.

prospectAnalysisPropertiesobject

List of enrolled, prospect analysis properties. One multiple scenario analysis can have multiple, enrolled prospect analysis

Response
{
  "id": 0,
  "name": "string",
  "modifiedDate": "2019-08-24T14:15:22Z",
  "modifiedUserName": "string",
  "modifiedRealName": "string",
  "createdDate": "2019-08-24T14:15:22Z",
  "createdUserName": "string",
  "createdRealName": "string",
  "prospectId": 0,
  "prospectName": "string",
  "version": "string",
  "summary": "string",
  "analysisResult": {
    "successDiscovery": 0.1,
    "aboveScreeningThreshold": 0.1,
    "wellPath": 0.1,
    "results": {
      "property1": {
        "mean": 0.1,
        "probabilityValues": {
          "property1": null,
          "property2": null
        }
      },
      "property2": {
        "mean": 0.1,
        "probabilityValues": {
          "property1": null,
          "property2": null
        }
      }
    },
    "oilOnly": 0.1,
    "gasOnly": 0.1,
    "oilAndGas": 0.1,
    "dfiRiskSummaries": [
      {
        "enrolledAnalysisId": 0,
        "initial": 0.1,
        "standAloneWithDFI": 0.1,
        "inProspectWithDFI": 0.1
      }
    ]
  },
  "properties": {
    "property1": {
      "label": "string",
      "value": "string"
    },
    "property2": {
      "label": "string",
      "value": "string"
    }
  },
  "scenarioSetups": [
    {
      "analysisId": 0,
      "analysisName": "string",
      "analysisType": "string",
      "weight": 0.1,
      "meanRecoverableSuccess": 0.1,
      "probabilityRecoverableSuccess": 0.1
    }
  ],
  "overallUnconditionalProspect": 0.1,
  "nonSuccessProbability": 0.1,
  "crsId": 0,
  "innerRings": [
    "string"
  ],
  "outerRing": "string",
  "prospectAnalysisProperties": {
    "property1": {
      "property1": {
        "label": "string",
        "value": "string"
      },
      "property2": {
        "label": "string",
        "value": "string"
      }
    },
    "property2": {
      "property1": {
        "label": "string",
        "value": "string"
      },
      "property2": {
        "label": "string",
        "value": "string"
      }
    }
  }
}